package com.example.onetap_ssh.ui.tabs;

public class ListItemDouble extends ListItem{

    private String name, command1, command2,button1, button2;
    public ListItemDouble( String name, String command1, String command2, String button1, String button2) {
        super( ListAdapter.DOUBLEBUTTON);
        this.name = name;
        this.command1 = command1;
        this.command2 = command2;
        this.button1 = button1;
        this.button2 = button2;
    }
    public void setName(String name)
    {
        this.name = name;
    }
    public void setCommand1(String command1)
    {
        this.command1 = command1;
    }
    public void setCommand2(String command2)
    {
        this.command2 = command2;
    }
    public void setButton1(String button1)
    {
        this.button1 = button1;
    }
    public void setButton2(String button2)
    {
        this.button2 = button2;
    }
    public String getName()
    {
        return name;
    }
    public String getCommand1()
    {
        return command1;
    }
    public String getCommand2()
    {
        return command2;
    }
    public String getButton1()
    {
        return button1;
    }
    public String getButton2()
    {
        return button2;
    }

    @Override
    public String[] getStrings() {
        String[] s = {name, command1, command2, button1, button2};
        return s;
    }
}
